Index: /palm/trunk/SOURCE/wall_fluxes.f90
===================================================================
--- /palm/trunk/SOURCE/wall_fluxes.f90	(revision 1352)
+++ /palm/trunk/SOURCE/wall_fluxes.f90	(revision 1353)
@@ -1041,28 +1051,28 @@
 !--       subroutine wall_fluxes because fluxes in subroutine 
 !--       wall_fluxes_e are defined at scalar locations).
-          vel_zp = 0.5 * (       a * ( u(k,j,i) + u(k,j,i+1) ) +               &
-                                 b * ( v(k,j,i) + v(k,j+1,i) ) +               &
-                           (c1+c2) * ( w(k,j,i) + w(k-1,j,i) )                 &
-                         )
-
-          IF ( rifs >= 0.0 )  THEN
+          vel_zp = 0.5_wp * (       a * ( u(k,j,i) + u(k,j,i+1) ) +            &
+                                    b * ( v(k,j,i) + v(k,j+1,i) ) +            &
+                              (c1+c2) * ( w(k,j,i) + w(k-1,j,i) )              &
+                            )
+
+          IF ( rifs >= 0.0_wp )  THEN
 
 !
 !--          Stable stratification (and neutral)
              wall_flux(k) = kappa *  vel_zp /                                  &
-                          ( LOG( zp/z0(j,i) ) + 5.0*rifs * ( zp-z0(j,i) ) / zp )
+                     ( LOG( zp/z0(j,i) ) + 5.0_wp * rifs * ( zp-z0(j,i) ) / zp )
           ELSE
 
 !
 !--          Unstable stratification
-             h1 = SQRT( SQRT( 1.0 - 16.0 * rifs ) )
-             h2 = SQRT( SQRT( 1.0 - 16.0 * rifs * z0(j,i) / zp ) )
+             h1 = SQRT( SQRT( 1.0_wp - 16.0_wp * rifs ) )
+             h2 = SQRT( SQRT( 1.0_wp - 16.0_wp * rifs * z0(j,i) / zp ) )
 
              wall_flux(k) = kappa * vel_zp / (                                 &
                   LOG( zp / z0(j,i) ) -                                        &
-                  LOG( ( 1.0 + h1 )**2 * ( 1.0 + h1**2 ) / (                   &
-                       ( 1.0 + h2 )**2 * ( 1.0 + h2**2 )   ) ) +               &
-                       2.0 * ( ATAN( h1 ) - ATAN( h2 ) )                       &
-                                                 )
+                  LOG( ( 1.0_wp + h1 )**2 * ( 1.0_wp + h1**2 ) / (             &
+                       ( 1.0_wp + h2 )**2 * ( 1.0_wp + h2**2 )   ) ) +         &
+                       2.0_wp * ( ATAN( h1 ) - ATAN( h2 ) )                    &
+                                             )
           ENDIF
           wall_flux(k) = - wall_flux(k) * us_wall
Index: /palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/write_var_list.f90	(revision 1352)
+++ /palm/trunk/SOURCE/write_var_list.f90	(revision 1353)
@@ -20,4 +20,5 @@
 ! Current revisions:
 ! -----------------
+! 
 !
 ! Former revisions:
